### Function

# Gtkrender_arrow

deprecated: 4.10

#### Declaration [src]

    void
    gtk_render_arrow (
      GtkStyleContext* context,
      cairo_t* cr,
      double angle,
      double x,
      double y,
      double size
    )

#### Description [src]

Renders an arrow pointing to `angle`.

Typical arrow rendering at 0, 1⁄2 π;, π; and 3⁄2 π:

Deprecated since: 4.10

Please do not use it in newly written code.

#### Parameters

`context`

  Type: `GtkStyleContext`

  A `GtkStyleContext`

  The data is owned by the caller of the function.

`cr`

  Type: `cairo_t`

  A `cairo_t`

  The data is owned by the caller of the function.

`angle`

  Type: `double`

  Arrow angle from 0 to 2 * `G_PI`, being 0 the arrow pointing to the north.

`x`

  Type: `double`

  X origin of the render area.

`y`

  Type: `double`

  Y origin of the render area.

`size`

  Type: `double`

  Square side for render area.